# Class Version

java.lang.Object
org.apache.zookeeper.Version

All Implemented Interfaces:
  `Info`

public class Version extends Object implements Info

## Field Summary

### Fields inherited from interface Info

`BUILD_DATE, MAJOR, MICRO, MINOR, QUALIFIER, REVISION, REVISION_HASH`

## Constructor Summary

Constructors
Constructor
Description
`Version()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getBuildDate()`
`static String`
`getFullVersion()`
`static int`
`getRevision()`
Deprecated.
`static String`
`getRevisionHash()`
`static String`
`getVersion()`
`static String`
`getVersionRevision()`
`static void`
`main(String[] args)`
Prints the current version, revision and build date to the standard out.
`static void`
`printUsage()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Version

public Version()

## Method Details

### getRevision

@Deprecated public static int getRevision()
Deprecated.

### getRevisionHash

public static String getRevisionHash()

### getBuildDate

public static String getBuildDate()

### getVersion

public static String getVersion()

### getVersionRevision

public static String getVersionRevision()

### getFullVersion

public static String getFullVersion()

### printUsage

public static void printUsage()

### main

public static void main(String[] args)
Prints the current version, revision and build date to the standard out.

Parameters:
  `args` -
  - --short - prints a short version string "1.2.3"
  - --revision - prints a short version string with the Git repository revision "1.2.3-${revision_hash}"
  - --full - prints the revision and the build date